%define name gsview
%define version 4.9
%define release %mkrel 3

Summary: PostScript and PDF previewer
Name: 	 %{name}
Version: %{version}
Release: %{release}
License: AFPL
Group: 	 Graphics
Source:  ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/gsview-%{version}.tar.xz
URL: 	 http://www.cs.wisc.edu/~ghost/gsview/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source1: gsview.desktop
BuildRequires: gtk+-devel
BuildRequires: desktop-file-utils
BuildRequires: sed >= 4.0
BuildRequires: %{_lib}gs-devel >= 7.07-15.3
%global gs_ver  %(gs --version 2> /dev/null | cut -d. -f-2 )
%global gs_ver1 %(echo %{gs_ver} | cut -d. -f1 )
%if 0%{?gs_ver1} == 7
Requires: ghostscript >= 7.07-15.3
%endif

## Use htmlview instead of hard-coded mozilla
Patch1: gsview-4.4-htmlview.patch
# default to libgs.so.@@SOMAJOR@@ instead of libgs.so
Patch2: gsview-4.8-libgs.patch
# attempt to allow/use ghostscript-8.15 reported value of 81500.
# http://bugzilla.redhat.com/159912
Patch3: gsview-4.7-dllversion.patch
# Change Paper default A4 -> Letter
Patch4: gsview-4.7-letterpaper.patch


%description
GSview is a graphical interface for Ghostscript.
Ghostscript is an interpreter for the PostScript page 
description language used by laser printers.
For documents following the Adobe PostScript Document Structuring 
Conventions, GSview allows selected pages to be viewed or printed.


%prep
%setup -q 

%patch1 -p1 -b .htmlview
# patch2 bits below
%patch3 -p1 -b .dllversion
%patch4 -p1 -b .letterpaper

# Determine GS_REVISION/SOMAJOR and substitute values (see patch2)
%patch2 -p1 -b .libgs
GS_REVISION=%(echo %{gs_ver} | tr -d '.' )
sed -i -e "s|@@GS_REVISION@@|${GS_REVISION}|g" src/gvcver.h
# Sanity check to make sure file exists
if [ ! -f "%(ls %{_libdir}/libgs.so.?)" ]; then
  echo "Error: %{_libdir}/libgs.so.? doesn't exist"; exit 1
fi
SOMAJOR=$(basename %{_libdir}/libgs.so.? | sed -e 's@libgs.so.@@' )
sed -i -e "s|@@SOMAJOR@@|${SOMAJOR}|g" src/gvcver.h


%build
make -f srcunx/unx.mak \
  RPM_OPT_FLAGS="%{!?debug_package:-g0} $RPM_OPT_FLAGS" \
  GSVIEW_BASE=%{_prefix} \
  GSVIEW_BINDIR=%{_bindir} \
  GSVIEW_MANDIR=%{_mandir} \
  GSVIEW_DOCPATH=%{_docdir} \
  GSVIEW_ETCPATH=%{_sysconfdir}


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir},%{_docdir},%{_sysconfdir}}

make -f srcunx/unx.mak install \
  GSVIEW_BASE=$RPM_BUILD_ROOT%{_prefix} \
  GSVIEW_BINDIR=$RPM_BUILD_ROOT%{_bindir} \
  GSVIEW_MANDIR=$RPM_BUILD_ROOT%{_mandir} \
  GSVIEW_DOCPATH=$RPM_BUILD_ROOT%{_docdir} \
  GSVIEW_ETCPATH=$RPM_BUILD_ROOT%{_sysconfdir}

# desktop/icon files
install -D -p -m644 binary/gsview48.png\
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/gsview.png

desktop-file-install \
  --dir="$RPM_BUILD_ROOT%{_datadir}/applications" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" --vendor="" \
  %{SOURCE1} 

%post
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database -q %{_datadir}/applications > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database -q %{_datadir}/applications > /dev/null 2>&1 || :

%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-, root, root)
%{_bindir}/*
%dir %{_sysconfdir}/gsview
%config(noreplace) %{_sysconfdir}/gsview/printer.ini
%{_mandir}/man*/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%doc %{_docdir}/* 


%changelog
* Wed Jun 06 2012 Neal <nealbrks0 at gmail dot com> 4.9-3pclos2012
- process

* Wed Jun 06 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 4.9-3pclos2012
- rebuild against new libgs
- added xz compression
- added %{_lib} macros
- renamed spec to pclos-gsview.spec
- libgs8-devel --> %{_lib}gs-devel

* Wed Sep 09 2009 slick50 <lxgator@gmail.com> 4.9-2pclos2009
- rebuild - import gsview

* Thu Sep 03 2009 Texstar <texstar@gmail.com> 
- create

